<%@ page contentType="text/html; charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,combox,commonTree,date,attachment"/>
    <x:script src="/system/excelimport/AssignCodeImp.js"/>
    <x:script src='/biz/topsun/sap/nonProdApply/nonProdApplyList.js'/>
</head>
<body>
<div class="container-fluid">
<%--    <x:button value="next" onclick="next()" icon="fa-save"/>--%>
    <div class="ui-hide">
        <x:select name="processType" dictionary="processType"/>
        <x:select name="yesorno" dictionary="yesorno"/>
    </div>
    <div id="layout">
        <!--div position="center" title="非半成品类物料主数据维护申请表查询"-->
            <x:title title="common.button.search" hideTable="queryMainForm" isHide="true"/>
            <form class="hg-form ui-hide" method="post" action="" id="queryMainForm">
                <x:inputC name="billCode" required="false" label="申请单号" labelCol="1"/>
                <x:inputC name="matnr" required="false" label="物料编码" labelCol="1"/>
                <x:inputC name="genericName" required="false" label="通用品名" labelCol="1"/>
                <x:inputC name="maktx" required="false" label="汉语品名" labelCol="1"/>
                <%--<x:inputC name="maktx" required="false" label="汉语品名" labelCol="1"/>--%>
                <x:selectC name="maintenanceType" label="维护类型" labelCol="1" fieldCol="2" dictionary="maintainType"/>
                <x:inputC name="startDate" label="开始日期" wrapper="date" labelCol="1" />
                <x:inputC name="endDate" label="结束日期" wrapper="date" labelCol="1" />
                <div class="hg-form-row">
                    <x:checkboxListC name="status" label="common.field.status" list="statusKindsList" labelCol="1" fieldCol="3"/>
                </div>
                  <x:searchButtons/>
            </form>
            <div class="blank_div clearfix"></div>
            <div id="nonProdApplyListGrid" style="margin: 2px;"></div>
        </div>
    </div>
</div>
</body>
</html>