package com.huigou.topsun.sap.clientMaterials.application;

import com.huigou.topsun.sap.clientMaterials.domain.ClientMaterials;
import com.huigou.topsun.sap.clientMaterials.domain.query.ClientMaterialsQueryRequest;
import com.huigou.topsun.sap.clientMaterials.vo.ClientMaterialsVo;
import com.huigou.topsun.sap.componentSupply.domain.ComponentSupply;
import com.huigou.topsun.sap.componentSupply.domain.query.ComponentSupplyQueryRequest;
import com.huigou.topsun.sap.componentSupply.vo.ComponentSupplyVo;

import java.util.List;
import java.util.Map;

/**
 * @Auther:LXH
 * @Date: 2024/06/05/11:35
 * @Description:
 */
public interface ClientMaterialsApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/clientMaterials/clientMaterials.xml";

    String PROCESS_DEFINITION_KEY = "clientMaterialsProc";

    Map<String, Object> getClientMaterialsList(ClientMaterialsQueryRequest sapPermitVo);

    ClientMaterials getClientMaterialsById(String id);

    void deleteByIds(List<String> ids);

    void saveClientMaterialsVo(ClientMaterialsVo clientMaterialsVoVo);

   // ByteArrayOutputStream printInfo(HttpServletResponse response, String id);
}
