<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head>
    <title>宝绅内部变更申请/通知单</title>
    <#include "/print/commonStyleTemplate.ftl" />

    <style type="text/css">
        td {
            font-size: 13px;
        }
    </style>
</head>
<body>

<div class="billTitle">
    <span style="position: absolute">
      <img src="${bsnPng}"></img>
    </span>
    宝绅内部变更申请/通知单</div>
<div class="billTitle">Specification Change Form</div>
<table cellspacing="0px" cellpadding="0px" class="tablePrint">
    <colgroup>
        <col width="34%"/>
    </colgroup>
    <tr>
        <td class="right">变更编号SCF#：${billCode?default("")?html}</td>
    </tr>
</table>
<div class="title" style="background: #CC8F81;text-align: center">General Information 基本信息</div>
<table cellspacing="0px" cellpadding="0px" class="tableBorder">
    <colgroup>
        <col width='17%' />
        <col width='17%' />
        <col width='17%' />
        <col width='16%' />
        <col width='17%' />
        <col width="16%" />
    </colgroup>
    <tr>
        <td class="center">DATE日期:</td>
        <td class="center"><@formatDate date=fillinDate/></td>
        <td class="center">BRAND品牌名称:</td>
        <td class="center">${brandName?default("")?html}</td>
        <td class="center">CHANGE REQUESTED BY (DEPT/NAME)变更申请部门/姓名:</td>
        <td class="center">${deptName?default("")?html}</td>
    </tr>
</table>
<table cellspacing="0px" cellpadding="0px" class="tableBorder">
    <colgroup>
        <col width='100%' />
    </colgroup>
    <tr>
        <td class="left">REASON FOR CHANGE变更原因:${reasonDesc?default("")?html}</td>
    </tr>
</table>
<table cellspacing="0px" cellpadding="0px" class="tableBorder">
    <colgroup>
        <col width='100%' />
    </colgroup>
    <tr>
        <td class="left">${reasonForChange?default("")?html}
            <span style="text-decoration: underline">${otherReasonDesc?default("")?html}</span>
        </td>
    </tr>
</table>
<table cellspacing="0px" cellpadding="0px" class="tableBorder">
    <colgroup>
        <col width='17%' />
        <col width='83%' />
    </colgroup>

    <tr>
        <td class="center">CHANGE EFFECTIVE 生效日期:</td>
        <td class="left">${changeEffective?default("")?html}</td>
    </tr>
</table>
<div class="title" style="background: #CC8F81;text-align: center">Change Details 变更内容</div>
<div class="title" style="background: yellow;text-align: left">CURRENT SPEC 目前产品信息</div>
<table cellspacing="0px" cellpadding="0px" class="tableBorder">
    <colgroup>
        <col width='17%' />
        <col width='83%' />
    </colgroup>
    <tr>
        <td class="left">
            PD#
            产品代号#:</td>
        <td class="left">${pd?default("")?html}</td>
    </tr>
    <tr>
        <td class="left">
            PRODUCT NAME:
            产品名称:</td>
        <td class="left">${productName?default("")?html}</td>
    </tr>
    <tr>
        <td class="left">
            PROCESS:
            制程工艺:</td>
        <td class="left">${process?default("")?html}</td>
    </tr>
    <tr>
        <td class="left">MATERIAL原材料:</td>
        <td class="left">${material?default("")?html}</td>
    </tr>
    <tr>
        <td class="left">OTHERS 其他:</td>
        <td class="left">${others?default("")?html}</td>
    </tr>
</table>
<div class="title" style="background: yellow;text-align: left">REVISED SPEC 变更后产品信息</div>
<table cellspacing="0px" cellpadding="0px" class="tableBorder">
    <colgroup>
        <col width='17%' />
        <col width='83%' />
    </colgroup>
    <tr>
        <td class="left">
            PD#
            产品代号#:</td>
        <td class="left">${changedPd?default("")?html}</td>
    </tr>
    <tr>
        <td class="left">
            PRODUCT NAME:
            产品名称:</td>
        <td class="left">${changedProductName?default("")?html}</td>
    </tr>
    <tr>
        <td class="left">
            PROCESS:
            制程工艺:</td>
        <td class="left">${changedProcess?default("")?html}</td>
    </tr>
    <tr>
        <td class="left">MATERIAL原材料:</td>
        <td class="left">${changedMaterial?default("")?html}</td>
    </tr>
    <tr>
        <td class="left">OTHERS 其他:</td>
        <td class="left">${changedOthers?default("")?html}</td>
    </tr>
</table>

<div class="blank_div"></div>
<#--<div class="fontBold">审批明细</div>-->
<#--<#include "/print/taskExecutionPrint.ftl" />-->
<div class="title" style="background: #CC8F81;text-align: center">Approvals / Checks 确认</div>
<table cellspacing="0px" cellpadding="0px" class="tableBorder">
    <colgroup>
        <col width='25%' />
        <col width='20%' />
        <col width='55%' />
    </colgroup>
    <tr>
        <td class="center" style="background: yellow">审批节点</td>
        <td class="center" style="background: yellow">DATA 日期</td>
        <td class="center" style="background: yellow">COMMENTS 评论</td>
    </tr>
    <#if approvals?? && approvals?size gt 0>
        <#list approvals as detail>
            <tr>
                <td class="left">${detail.approvalName?default("")?html}</td>
                <td class="left">${detail.handledDate?default("")?html}</td>
                <td class="left">${detail.opinion?default("")?html}</td>
            </tr>
        </#list>
    <#else>
        <tr>
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
        </tr>
    </#if>
</table>
<div class="title" style="background: #CC8F81;text-align: center">Implementation 执行人（版具/模具等）</div>
<table cellspacing="0px" cellpadding="0px" class="tableBorder">
    <colgroup>
        <col width='25%' />
        <col width='25%' />
        <col width='25%' />
        <col width='25%' />
    </colgroup>
    <tr>
        <td class="center" style="background: yellow">部门</td>
        <td class="center" style="background: yellow">执行人</td>
        <td class="center" style="background: yellow">签名确认</td>
        <td class="center" style="background: yellow">DATE日期</td>

    </tr>
    <#if implItemMaps?? && implItemMaps?size gt 0>
        <#list implItemMaps as detail>
            <tr>
                <td class="center">${detail.deptName?default("")?html}</td>
                <td class="center">${detail.executor?default("")?html}</td>
                <td class="center">${detail.confirmTextView?default("")?html}</td>
                <td class="center">${detail.date?default("")?html}</td>
            </tr>
        </#list>
    <#else>
        <tr>
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
        </tr>
    </#if>
</table>
<div class="title" style="background: #CC8F81;text-align: center">Stock / Inventory 库存</div>
<table cellspacing="0px" cellpadding="0px" class="tableBorder">
    <colgroup>
        <col width='25%' />
        <col width='25%' />
        <col width='25%' />
        <col width='25%' />
    </colgroup>
    <tr>
        <td class="center" style="background: yellow">部门</td>
        <td class="center" style="background: yellow">专属原材料/半成品/在制品/成品数量(张）</td>
        <td class="center" style="background: yellow">签名确认</td>
        <td class="center" style="background: yellow">DATE日期</td>

    </tr>
    <#if stockItemMaps?? && stockItemMaps?size gt 0>
        <#list stockItemMaps as detail>
            <tr>
                <td class="center">${detail.deptName?default("")?html}</td>
                <td class="center">${detail.description?default("")?html}</td>
                <td class="center">${detail.confirmTextView?default("")?html}</td>
                <td class="center">${detail.date?default("")?html}</td>
            </tr>
        </#list>
    <#else>
        <tr>
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
        </tr>
    </#if>
</table>
</body>
</html>

